.TH wxFontData 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxFontData \- See external documentation: wxFontData\&.
.SH DESCRIPTION
.LP
See external documentation: wxFontData <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontdata\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxFontData()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxFontData()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontdata\&.html#wxfontdatawxfontdata>\&.
.RE
.LP
.B
new(Data::wxFontData()) -> wxFontData()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontdata\&.html#wxfontdatawxfontdata>\&.
.RE
.LP
.B
enableEffects(This::wxFontData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontdata\&.html#wxfontdataenableeffects>\&.
.RE
.LP
.B
getAllowSymbols(This::wxFontData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontdata\&.html#wxfontdatagetallowsymbols>\&.
.RE
.LP
.B
getColour(This::wxFontData()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontdata\&.html#wxfontdatagetcolour>\&.
.RE
.LP
.B
getChosenFont(This::wxFontData()) -> wxFont() (see module wxFont)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontdata\&.html#wxfontdatagetchosenfont>\&.
.RE
.LP
.B
getEnableEffects(This::wxFontData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontdata\&.html#wxfontdatagetenableeffects>\&.
.RE
.LP
.B
getInitialFont(This::wxFontData()) -> wxFont() (see module wxFont)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontdata\&.html#wxfontdatagetinitialfont>\&.
.RE
.LP
.B
getShowHelp(This::wxFontData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontdata\&.html#wxfontdatagetshowhelp>\&.
.RE
.LP
.B
setAllowSymbols(This::wxFontData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontdata\&.html#wxfontdatasetallowsymbols>\&.
.RE
.LP
.B
setChosenFont(This::wxFontData(), Font::wxFont() (see module wxFont)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontdata\&.html#wxfontdatasetchosenfont>\&.
.RE
.LP
.B
setColour(This::wxFontData(), Colour::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontdata\&.html#wxfontdatasetcolour>\&.
.RE
.LP
.B
setInitialFont(This::wxFontData(), Font::wxFont() (see module wxFont)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontdata\&.html#wxfontdatasetinitialfont>\&.
.RE
.LP
.B
setRange(This::wxFontData(), MinRange::integer(), MaxRange::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontdata\&.html#wxfontdatasetrange>\&.
.RE
.LP
.B
setShowHelp(This::wxFontData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxfontdata\&.html#wxfontdatasetshowhelp>\&.
.RE
.LP
.B
destroy(This::wxFontData()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
